/*
**
* BEGIN_COPYRIGHT
*
* Copyright (C) 2016-2018 SciDB, Inc.
* All Rights Reserved.
*
* SciDB is free software: you can redistribute it and/or modify
* it under the terms of the AFFERO GNU General Public License as published by
* the Free Software Foundation.
*
* SciDB is distributed "AS-IS" AND WITHOUT ANY WARRANTY OF ANY KIND,
* INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY,
* NON-INFRINGEMENT, OR FITNESS FOR A PARTICULAR PURPOSE. See
* the AFFERO GNU General Public License for the complete license terms.
*
* You should have received a copy of the AFFERO GNU General Public License
* along with SciDB.  If not, see <http://www.gnu.org/licenses/agpl-3.0.html>
*
* END_COPYRIGHT
*/
#include <query/Operator.h>

#include "UpgradeChunkIndex.h"

using namespace std;

namespace scidb
{

struct PhysicalUpgradeChunkIndex : public PhysicalOperator
{
    PhysicalUpgradeChunkIndex(string const& logicalName,
                              string const& physicalName,
                              Parameters const& parameters,
                              ArrayDesc const& schema)
    : PhysicalOperator(logicalName, physicalName, parameters, schema) {}

    std::shared_ptr<Array>
    execute(vector<std::shared_ptr<Array> >& inputArrays,
            std::shared_ptr<Query> query)
    {
        upgradeChunkIndex();
        return std::shared_ptr<Array>();
    }
};

REGISTER_PHYSICAL_OPERATOR_FACTORY(PhysicalUpgradeChunkIndex,
                                   "upgradeChunkIndex",
                                   "PhysicalUpgradeChunkIndex");

}  // namespace scidb
